%define	upstream_name	 File-HomeDir
%define upstream_version 1.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get home directory for self or other users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.10.0
BuildRequires: perl(File::Spec) >= 3.120.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: xdg-user-dirs
BuildArch:  noarch
Requires:   perl(File::Which) >= 0.05
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude}|perl\\(Cwd\\)|perl\\(File::Path\\)|perl\\(File::Spec\\)|perl\\(File::Temp\\)|perl\\(File::Which\\)|perl\\(Mac::|perl\\(Win32

%description
A Perl module to get home directory portably for self or other users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name *.pm | xargs chmod 644
chmod 644 Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests require that user dirs exist, which is not the case within bs
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1813290
- Mageia 9 Mass Rebuild

* Tue Sep 29 2020 tv <tv> 1.6.0-1.mga8
+ Revision: 1631015
- update to 1.006

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504474
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1283672
- Mageia 7 Mass Rebuild

* Wed May 02 2018 tv <tv> 1.4.0-1.mga7
+ Revision: 1224699
- update to 1.004

* Mon Oct 02 2017 tv <tv> 1.2.0-5.mga7
+ Revision: 1164341
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 tv <tv> 1.2.0-4.mga7
+ Revision: 1156019
- manually requires perl(File::Which) in order to fix ton of build issues

* Sun Jul 23 2017 tv <tv> 1.2.0-3.mga7
+ Revision: 1129477
- sync excludes list with FC (mga#21236)

* Sun Jul 23 2017 shlomif <shlomif> 1.2.0-2.mga7
+ Revision: 1129354
- fix install

* Sat Jul 22 2017 shlomif <shlomif> 1.2.0-1.mga7
+ Revision: 1128542
- update to 1.002

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1027311
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 929416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 749949
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-6.mga5
+ Revision: 732137
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 684734
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 511540
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 367262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 315060
- update to 1.00

* Thu Feb 23 2012 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 212878
- update to 0.99

* Fri Jul 08 2011 jquelin <jquelin> 0.980.0-1.mga2
+ Revision: 120392
- update to 0.98

* Tue Feb 22 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 56548
- update to 0.97

* Thu Feb 10 2011 jquelin <jquelin> 0.950.0-1.mga1
+ Revision: 49808
- update to 0.95

* Fri Jan 21 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 30335
- mageia rebuild
- imported package perl-File-HomeDir


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.930.0-1mdv2011.0
+ Revision: 587626
- new version

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.910.0-1mdv2011.0
+ Revision: 561549
- skip tests, they require user dirs to exist
- create user desktop dirs if needed
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.91

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.1
+ Revision: 485803
- update to 0.89

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.1
+ Revision: 469436
- update to 0.88

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.0
+ Revision: 403170
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-1mdv2010.0
+ Revision: 370072
- update to new version 0.86

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2009.1
+ Revision: 354156
- update to new version 0.84

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.1
+ Revision: 294629
- update to new version 0.82

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.1
+ Revision: 292161
- update to new version 0.81

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2009.0
+ Revision: 230269
- update to new version 0.80

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.69-2mdv2009.0
+ Revision: 223751
- rebuild

* Mon Feb 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2008.1
+ Revision: 162036
- update to new version 0.69

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2008.1
+ Revision: 116170
- update to new version 0.67

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2008.0
+ Revision: 75221
- update to new version 0.66

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 0.65-1mdv2008.0
+ Revision: 29097
- Update to new version 0.65

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.64-1mdv2008.0
+ Revision: 20093
- 0.64


* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2007.0
- new release
- fix sources URL

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.57-1mdk
- New release 0.57
- Change Source URL

* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdk
- New release 0.56

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdk
- New release 0.54

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdk
- new version
- spec cleanup
- %%mkrel
- rpmbuildupdate aware

* Wed Nov 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07
- Remove patch1 (disable windows-only code)
- Fix permissions and line encodings

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.06-1mdk
- 0.06

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.05-2mdk
- 0.05

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.05-1mdk
- from Robin Rosenberg <robin.rosenberg@dewire.com> :
	- initial contrib import. Needed for building Captive-NTFS

